<?php
require_once "../../../bootstrap.php";
require_once "../Admin/Admin.php";

use Backend\Models\Group;
use \Backend\Models\KeyWord;
use \Backend\Models\GameJam;
use \Illuminate\Support\Collection;

if (!isAdmin()){
    if(isset($_GET['genKeyWord'])){
        $gameJamId = $_GET['gameJamId'];
        $game_jam = GameJam::find($gameJamId);
        $all_group_in_game_jam_id = Group::where("game_jam_id", $game_jam->id)->pluck("id")->toArray();
        $find_all_keywords = KeyWord::whereIn("group_id", $all_group_in_game_jam_id)->inRandomOrder()->get();
        $game_jam->key_word = $find_all_keywords->first()->key_word;
        if(!$game_jam->save()){
            http_response_code(500);
        }else{
            http_response_code(201);
        }

        header("Access-Control-Allow-Methods: GET");
        header("Access-Control-Allow-Headers: X-Requested-With, Content-Type, Accept");
        header('Content-Type: application/json;charset=UTF-8');
        echo json_encode(array('data' => $find_all_keywords->jsonSerialize()));
    }else{
        http_response_code(400);
    }
}else{
    http_response_code(401);
    echo json_encode(["message" => "is not admin"]);
}